"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.validateDeployment = exports.generateLambdaConfig = void 0;
const utils_aws_lambda_1 = require("@goldstack/utils-aws-lambda");
const generateLambdaConfig = (deployment, config) => {
    return config.reduce((last, curr) => {
        let id = curr.route;
        if (id === '$default') {
            id = 'default';
        }
        last[`${id}`] = {
            function_name: (0, utils_aws_lambda_1.generateFunctionName)(deployment.configuration.lambdaNamePrefix, curr),
            route: curr.route,
        };
        return last;
    }, {});
};
exports.generateLambdaConfig = generateLambdaConfig;
const validateDeployment = (config) => {
    let valid = true;
    for (const e of Object.entries(config)) {
        valid = valid && e[0].length > 0;
        valid = valid && !!e[1].function_name && e[1].function_name.length > 0;
    }
    return valid;
};
exports.validateDeployment = validateDeployment;
//# sourceMappingURL=generateLambdaConfig.js.map